devel/libosip - The NetBSD Packages Collection

Implementation of SIP

oSIP is an implementation of SIP.

The GNU oSIP library is written in C and get no dependencies except the
standard C library. oSIP is thread safe and will generally be used in a
multi-threaded application. Nevertheless, this is optional.

oSIP is little in size and code and thus could be use to implement IP
soft-phone as well as embedded SIP software. oSIP is not limited to
endpoint agents, and can also be used to implement "SIP proxy".

oSIP does not intend to provide a high layer API for controlling
"SIP Session" at this step. Instead, it currently provides an API for the
SIP message parser, SDP message parser, and library to handle
"SIP transactions" as defined by the SIP document.

Build dependencies

pkgtools/cwrappers devel/libtool-base

Runtime dependencies

(none)

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibosip2-5.2.0.tgz
NetBSD 8.0earmv7hflibosip2-5.2.0.tgz
NetBSD 8.0earmv7hflibosip2-5.2.0.tgz
NetBSD 8.0i386libosip2-5.2.0.tgz
NetBSD 8.0i386libosip2-5.2.0.tgz
NetBSD 8.0powerpclibosip2-5.2.0.tgz
NetBSD 8.0powerpclibosip2-5.2.0.tgz
NetBSD 8.0powerpclibosip2-5.2.0.tgz
NetBSD 8.0powerpclibosip2-5.2.0.tgz
NetBSD 8.0x86_64libosip2-5.2.0.tgz
NetBSD 8.0x86_64libosip2-5.2.0.tgz
NetBSD 9.0aarch64libosip2-5.2.0.tgz
NetBSD 9.0aarch64libosip2-5.2.0.tgz
NetBSD 9.0aarch64libosip2-5.2.0.tgz
NetBSD 9.0alphalibosip2-5.2.0.tgz
NetBSD 9.0alphalibosip2-5.2.0.tgz
NetBSD 9.0alphalibosip2-5.2.0.tgz
NetBSD 9.0earmlibosip2-5.2.0.tgz
NetBSD 9.0earmlibosip2-5.2.0.tgz
NetBSD 9.0earmlibosip2-5.2.0.tgz
NetBSD 9.0earmv6hflibosip2-5.2.0.tgz
NetBSD 9.0earmv6hflibosip2-5.2.0.tgz
NetBSD 9.0earmv6hflibosip2-5.2.0.tgz
NetBSD 9.0earmv7hflibosip2-5.2.0.tgz
NetBSD 9.0earmv7hflibosip2-5.2.0.tgz
NetBSD 9.0earmv7hflibosip2-5.2.0.tgz
NetBSD 9.0earmv7hflibosip2-5.2.0.tgz
NetBSD 9.0i386libosip2-5.2.0.tgz
NetBSD 9.0i386libosip2-5.2.0.tgz
NetBSD 9.0mips64eblibosip2-5.2.0.tgz
NetBSD 9.0mips64eblibosip2-5.1.1.tgz
NetBSD 9.0mips64eblibosip2-5.2.0.tgz
NetBSD 9.0mips64eblibosip2-5.2.0.tgz
NetBSD 9.0mips64eblibosip2-5.2.0.tgz
NetBSD 9.0mipsellibosip2-5.2.0.tgz
NetBSD 9.0mipsellibosip2-5.2.0.tgz
NetBSD 9.0mipsellibosip2-5.2.0.tgz
NetBSD 9.0mipsellibosip2-5.2.0.tgz
NetBSD 9.0powerpclibosip2-5.2.0.tgz
NetBSD 9.0powerpclibosip2-5.2.0.tgz
NetBSD 9.0powerpclibosip2-5.2.0.tgz
NetBSD 9.0powerpclibosip2-5.2.0.tgz
NetBSD 9.0sh3ellibosip2-5.2.0.tgz
NetBSD 9.0sh3ellibosip2-5.2.0.tgz
NetBSD 9.0sh3ellibosip2-5.2.0.tgz
NetBSD 9.0sh3ellibosip2-5.2.0.tgz
NetBSD 9.0sparc64libosip2-5.2.0.tgz
NetBSD 9.0sparc64libosip2-5.2.0.tgz
NetBSD 9.0sparc64libosip2-5.2.0.tgz
NetBSD 9.0sparclibosip2-5.2.0.tgz
NetBSD 9.0sparclibosip2-5.1.1.tgz
NetBSD 9.0sparclibosip2-5.2.0.tgz
NetBSD 9.0sparclibosip2-5.2.0.tgz
NetBSD 9.0sparclibosip2-5.2.0.tgz
NetBSD 9.0vaxlibosip2-5.2.0.tgz
NetBSD 9.0vaxlibosip2-5.2.0.tgz
NetBSD 9.0vaxlibosip2-5.2.0.tgz
NetBSD 9.0vaxlibosip2-5.2.0.tgz
NetBSD 9.0x86_64libosip2-5.2.0.tgz
NetBSD 9.0x86_64libosip2-5.2.0.tgz
NetBSD 9.0x86_64libosip2-5.2.0.tgz
NetBSD 9.0x86_64libosip2-5.2.0.tgz
NetBSD 9.0x86_64libosip2-5.2.0.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

debug
Enable debugging facilities in the package.

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.